Cómo corregir el error ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Cuando visitas un sitio web que cuenta con un certificado SSL, se realizan una serie de comprobaciones entre el navegador y el servidor web para garantizar que el certificado y la conexión SSL/TLS sean válidos. Si por alguna razón, a tu navegador no lo gusta lo que está viendo, ya sea una configuración errónea o una versión que no es compatible, te mostrará el siguiente error: ERR_SSL_VERSION_OR_CIPHER_MISMATCH, el cual te impedirá entrar a tu sitio web. En este artículo, te mostramos algunos métodos para corregir este impertinente error de ERR_SSL_VERSION_OR_CIPHER_MISMATCH.

ERR_SSL_VERSION_OR_CIPHER_MISMATCH

¿Por qué ocurre el error ERR_SSL_VERSION_OR_CIPHER_MISMATCH?

El error ERR_SSL_VERSION_OR_CIPHER_MISMATCH suele aparecer en sistemas operativos o navegadores antiguos, pero no siempre es el caso. De hecho, hace poco un cliente me indicó que se encontró con este problema. Lo primero que revisé fue su sistema operativo y sobre todo, su navegador. Me sorprendió el ver que estaba utilizando Windows 10 y la última versión de Google Chrome, por lo que el problema radicaba más bien en su certificado SSL. El navegador Chrome te protege al no permitirte cargar el sitio web.

Habiendo dicho esto, vamos a ver cómo solucionar el maldito error ERR_SSL_VERSION_OR_CIPHER_MISMATCH en tu sitio web desarrollado con WordPress.

Comprueba tu certificado SSL

Si ves este error, y ya has comprobado que tu navegador y tu sistema operativo está actualizado a la última versión (o al menos, a una moderna), lo siguiente que tienes que hacer es comprobar el certificado SSL que instalaste en tu sitio web. Existen muchas herramientas para ello, pero personalmente la que más me gusta es la de Qualy SSL Labs. Es muy fiable y la suelo utilizar para chequear los certificados de mis clientes. Solo tienes que introducir el dominio en el campo Hostname y hacer clic en Submit.

Esto te llevará un ratito, cosa de un minuto o dos…

Comprueba si el nombre del certificado coincide

En el caso que he explicado antes, lo que le pasaba a mi cliente es que tenía un nombre de certificado que no coincidía con el que estaba arrojando el error ERR_SSL_VERSION_OR_CIPHER_MISMATCH. Mediante la herramienta indicada en el paso anterior, esto es muy fácil de verificar. El hecho de que no coincidan los nombres puede deberse a:

  • El sitio no utiliza un certificado SSL, pero comparte una dirección IP con algún otro sitio que sí lo hace.
  • El sitio ya no existe, pero el dominio sigue apuntando a la antigua dirección IP, donde está alojado otro sitio.
  • El utiliza un CDN que no admite certificados SSL.
  • El alias de nombre de dominio es para un sitio web cuyo nombre es diferente, pero el alias no se incluyó en el certificado.

Otra manera fácil de comprobar este problema con el nombre del dominio es mediante las Herramientas para desarrolladores de Chrome. Haz clic en la pestaña Security y pulsa en el botón View certificate. Inmediatamente, podrás consultar el dominio del certificado. Si el nombre no coincide con el sitio actual en el que estás, hemos hayado el problema.

Ojo, recuerda que también existen los certificado comodín y demás variaciones, pero para una web típica, la coincidencia debe ser exacta.

Seguramente te ocurra que, debido al ERR_SSL_VERSION_OR_CIPHER_MISMATCH no puedas comprobarlo con las Herramientas para desarrolladores de Chrome. En dicho caso, tendrás que ayudarte de Qualy SSL Labs.

Comprobar la versión del TLS

Otra posible razón por la que te ocurra este error sea porque la versión del TLS que se ejecuta en el servidor sea antigua. Al menos, tu servidor debería ejecutar la versión 1.2. Si quieres consultar este dato, puedes ayudarte de la herramienta de Qualy SSL Labs. En Configuration, podrás ver la actual versión del TLS de tu servidor. Si es muy antigua, házselo saber a tu proveedor de hosting para WordPress y pídeles que lo actualicen.

Comprobar el algoritmo de cifrado RC4

Otra razón, según la documentación de Google, para el error ERR_SSL_VERSION_OR_CIPHER_MISMATCH sea que el algoritmo de cifrado RC4 en la versión 48 de Chrome se eliminó. Esto no es muy común, pero podría ocurrir en las implementaciones para empresas grandes que requieren RC4. ¿Por qué? Porque todo suele tardar más en actualizarse y son configuraciones más grandes y complejas.

Los expertos en seguridad recomiendan que el RC4 esté deshabilitado. Por lo tanto, debes asegurarte de que la configuración del servidor esté habilitada con un algoritmo de cifrado diferente. Puede ver el algoritmo de cifrado actual mediante la herramienta de Qualy SSL Labs.

Y hasta aquí nuestro artículo sobre cómo corregir el error ERR_SSL_VERSION_OR_CIPHER_MISMATCH. Espero que te haya gustado y, si te ha resultado útil, no dudes en compartirlo en redes sociales. El artículo ha sido extraido de Kinsta y el icono de la imagen destacada es obra de Kirby Wu. ¡Nos leemos!

Dejar respuesta

Please enter your comment!
Please enter your name here